Bug 731368 - Only one message is consumed using c++ drain by default
Summary: Only one message is consumed using c++ drain by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 2.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: 2.1.2
: ---
Assignee: Gordon Sim
QA Contact: Petr Matousek
URL:
Whiteboard:
Depends On:
Blocks: 783492
TreeView+ depends on / blocked
 
Reported: 2011-08-17 12:55 UTC by Petr Matousek
Modified: 2012-04-30 17:52 UTC (History)
3 users (show)

Fixed In Version: qpid-cpp-mrg-0.14-3.el5
Doc Type: Bug Fix
Doc Text:
Cause: Using the drain example from different language clients. Consequence: The version of the example shipped with the c++ client behaved differently from those shipped with python nd java in that it would by default only consume one message (rather than all available messages). Fix: The example was changed to behave like that for python and java in this regard. Result: The examples will now behave consistently in consuming all available messages.
Clone Of:
Environment:
Last Closed: 2012-04-30 17:52:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0529 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging 2.1 security and enhancement update 2012-04-30 21:48:25 UTC

Description Petr Matousek 2011-08-17 12:55:35 UTC
Description of problem:

Only one message is consumed when using c++ drain without "-c" option.

All messages are consumed with "-c 0" option, this shall be the default behaviour. 

All messages are consumed when using other clients.

All the clients shall behave the same way. 

Version-Release number of selected component (if applicable):
qpid-cpp-client-0.10-6

How reproducible:
100%

Steps to Reproduce:
1. spout -c 2 "q;{create:sender}"
2. drain "q"
3. only one message is consumed
  
Actual results:
Only one message is consumed with drain by default.

Expected results:
All messages from the specified address shall be consumed by default.

Additional info:

Comment 1 Gordon Sim 2011-08-24 15:27:30 UTC
Fixed upstream: http://svn.apache.org/viewvc?view=rev&rev=1161152

Comment 3 Petr Matousek 2012-01-12 16:39:27 UTC
This issue was fixed.

Verified on RHEL5.7 and RHEL6.2, architectures: x86_64, i686 

packages installed:
qpid-cpp-mrg-0.14-3.el5
qpid-cpp-0.14-1.el6

VERIFIED

Comment 4 Gordon Sim 2012-03-06 18:31:39 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

  Using the drain example from different language clients. 

Consequence:

  The version of the example shipped with the c++ client behaved differently from those shipped with python nd java in that it would by default only consume one message (rather than all available messages).

Fix:

  The example was changed to behave like that for python and java in this regard.

Result:

  The examples will now behave consistently in consuming all available messages.

Comment 5 errata-xmlrpc 2012-04-30 17:52:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0529.html


Note You need to log in before you can comment on or make changes to this bug.